$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "66b0338f0e44ca54962cd3d674d6144c8ae026884c97212d55f1119d33b18d1570672ff358403ae55a9bdc8aec4bc7a2e9b2c6d36ce76b0b3abfa2f35f008232"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe"))

Write-Host "$PackageName registered as $App"